Mailrelay API Reference

Add a new cart

POST https://{account}/api/v1/ecommerce/stores/{store_id}/carts

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Add a new cart

Parameters

NameTypeRequiredDescription
store_id integer Yes ID of the store
cart_id string Yes Cart
email string No Email
status string Yes Status
checkout_url string No Checkout url
total integer Yes Total
tax_total integer No Tax total
cart_items_attributes array No Cart item

Responses

StatusDescription
201 Success
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
cart_id string Cart
status string Status
checkout_url string Checkout url
total integer Total
tax_total integer Tax total
created_at string Created at
updated_at string Updated at
cart_items array